import BaseCurdApi from './BaseCurdApi'

class TagPurchaseApi extends BaseCurdApi {
  // save = (data, saveType, Target) => {
  //   if (saveType === 'POST') {
  //     const { providerId } = data
  //     data = data.infos.reduce((list, info) => {
  //       const number = parseInt(info.number)
  //       if (Number.isFinite(number)) {
  //         list.push({
  //           providerId,
  //           tagTypeId: info.tagTypeId,
  //           number
  //         })
  //       }
  //       return list
  //     }, [])
  //   }

  //   return this.api({
  //     url: `${this.basePath}`,
  //     method: saveType,
  //     data
  //   })
  // }

  inStorage = tagPurchaseIds => this.api({
    url: `${this.basePath}/in-storage`,
    method: 'PUT',
    data: tagPurchaseIds
  })

  savePurchase = data => this.api({
    url: `${this.basePath}`,
    method: 'POST',
    data: data
  })

  update = (data) => this.api({
    url: `${this.basePath}`,
    method: 'PUT',
    data: data
  })

  constructor () {
    super('/tag/purchase')
  }
}

export default new TagPurchaseApi()
